/***********************************************************************
A PROGRAMBAN NEM SZEREPELHETNEK AZ ALÁBBI SOROK:
#include <string.h>
#include <math.h>
***********************************************************************/
#include <stdio.h>
#include <stdlib.h>

/***********************************************************************
************************************************************************
		ETTŐL A PONTTÓL DOLGOZHATSZ A FELADATOKON
************************************************************************
***********************************************************************/

/*
A feladat megallapitani, hogy egy huszar hany mezot uthet a sakktablan.
A huszar a tole L alakban egyenesen 2 oldalra 1 tavolsagra levo mezoket
uti (ahol az egyenes barmelyik irany lehet a 4 kozul).

A fuggveny bemenetkent karakterben kapja meg a mezo koordinatait (egy
kisbetu 'a'-'h' es egy szamjegy '1'-'8'), a visszateresi erteke pedig
az utott mezok szama. A fuggveny fejlecen ne valtoztass!
*/

int huszar(char oszlop, char sor) {
}

/*
Az alabbi fuggveny parametere egy sztring. A feladat torolni belole
minden masodik karaktert. (Ezaltal a sztring rovidulhet.) Kodold le
a fuggvenyt C nyelven. A fuggveny fejlecen ne valtoztass!
*/

void strtorles(char str[]) {
}

/*
Hatarozzuk meg, hogy a parameterkent kapott evben az adott honap
adott napja az ev hanyadik napja. A fuggveny ezzel az ertekkel terjen
vissza. Figyeljunk a szokoevekre! Az input adatok egy 1800 es 5000
kozotti valos napot jelolnek. A fuggveny fejlecet ne valtoztasd meg!
*/

int evnapja(int ev, int ho, int nap) {
}

/*
Az alabbi fuggveny egy penzosszeget kap parameterkent, majd meghatarozza,
hogy legkevesebb hany darab 10, 5, 2 es 1 koronas ermervel fizetheto ki az
osszeg! A fuggveny visszateresi erteke -1, ha rossz erteket kap. A fuggveny
fejlecen ne valtoztass!
*/

int erme(int osszeg) {
}
/***********************************************************************
************************************************************************

	EZEN A PONTON TÚL NE VÁLTOZTASS SEMMIT SEM A FÁJLON!

************************************************************************
***********************************************************************/

void call_1(FILE *be, FILE *ki)
{
	char o, s;
	int eredmeny;
	fscanf(be, "%c%c", &o, &s);
	eredmeny=huszar(o, s);
	fprintf(ki, "%d\n", eredmeny);
}

void call_2(FILE *be, FILE *ki)
{
	char str[128]="#####", *p;
	fgets(str, 128, be);
	for(p=str;*p&&*p!=10;p++); *p=0;
	strtorles(str);
	fprintf(ki, "%s\n", str);
}


void call_3(FILE *be, FILE *ki)
{
	int Y, M, D, eredmeny;
	fscanf(be, "%d %d %d", &Y, &M, &D);
	eredmeny = evnapja(Y, M, D);
	fprintf(ki,"%d\n", eredmeny);
}

void call_4(FILE *be, FILE *ki)
{
	int osszeg, eredmeny;
	fscanf(be, "%d", &osszeg);
	eredmeny = erme(osszeg);
	fprintf(ki, "%d\n", eredmeny);
}

typedef void (*call_function)(FILE*, FILE*);
call_function call_table[] = {
	call_1,
	call_2,
	call_3,
	call_4,
	NULL
};

int main()
{
	FILE *be, *ki;
	int feladat, calltabsize;
	if(!(be=fopen("be.txt", "r"))) {
		printf("HIBA: Hiányzik a `be.txt'!\n");
		return 1;
	}
	if(!(ki=fopen("ki.txt", "w"))) {
		printf("HIBA: A `ki.txt' nem írható!\n");
		return 1;
	}
	for(calltabsize=0; call_table[calltabsize]; calltabsize++);
	fscanf(be, "%d%*[^\n]", &feladat); fgetc(be);
	if(0<feladat && feladat<=calltabsize) {
		(*call_table[feladat-1])(be, ki);
	} else {
		printf("HIBA: Rossz feladat sorszám: %d\n", feladat);
	}
	fclose(be);
	fclose(ki);
	return 0;
}
